Home

# Class goog.tweak.BooleanGroup

A registry setting that contains a group of boolean subfield, where all entries modify the same query parameter. For example: ?foo=setting1,-setting2

extends goog.tweak.BaseSetting

Instance Method Summary
| `addChild(?goog.tweak.BooleanInGroupSetting boolEntry)` Adds the given BooleanSetting to the group.
| `getChildEntries() ⇒ !Object` Returns the map of token->boolean settings.
| `getNewValueEncoded() ⇒ ?string` Returns the value to be used in the query parameter for this tweak.
| `initialize(?string value)` Sets the value of the entry based on the value of the query parameter. Once this is called, configuration settings (associated query parameter, token, etc) may not be changed.